public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2016-07-31 10:25 Jeroen Roovers
  0 siblings, 0 replies; 23+ messages in thread
From: Jeroen Roovers @ 2016-07-31 10:25 UTC (permalink / raw
  To: gentoo-commits

commit:     3e77cee4b328f72aa81b625eddb84cedd5bd87b3
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 31 10:24:50 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Jul 31 10:25:47 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e77cee4

x11-misc/xfe: Version bump.

Package-Manager: portage-2.3.0

 x11-misc/xfe/Manifest        |  1 +
 x11-misc/xfe/xfe-1.42.ebuild | 77 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index dfeab65..a1f33fb 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,2 +1,3 @@
 DIST xfe-1.40.1.tar.gz 2627754 SHA256 ec3d9495bb329c6199f6265dbfb514ffd3bdb8801e36ccc4e8fac6cea15bcc71 SHA512 d4d701dc84b342ca6f728073ff746d7308cc1cf1254956e41831cfa933649c7ac2ed32a55e6dc92047636e99f14d2609f5307aab5af07c700e597dd1cf4bf4cb WHIRLPOOL 00469cfe07604986b0a24fbcbb79c2174af6fc91ccaa7c08a47c31e6450ae637d3e1db002485d730f4ee241156c155754dcebd5a0d629941f101921c2825f533
 DIST xfe-1.41.tar.gz 2752508 SHA256 d31ac9fdfa9223e54920ee8aabe20b43fa08ee4b6a5ee11a2d3c210506a3603f SHA512 eb9e1dfb02e5ae4bb9ccbf78bef8744ef61a72fb47795bb4598905c2f7ed01c65ed4443fd1b8981feb457b24daae1aa438170942eb97ec8b450c61b0742e4d2a WHIRLPOOL 9fc16836f8fb70d32b57902b504ccd438166d888da50049812f93b597e6dfa9920e357490d53f3718e4ae2b25d71977a528aeefa84d56d76d50ac7b5c85ce359
+DIST xfe-1.42.tar.gz 2727833 SHA256 a1e3e892584988c80b3a492f7b3cb78e1ee84d7148e6d1fc9d6054bbd8063bec SHA512 858dd761e45ff09d32d2a230304be0817eab4b6a772376b08d778bb8e1eef681228e5d88e53c441f9b8722d8b7eeae96980e30f8c5e8bb603d4d9a3b3d267351 WHIRLPOOL 388d95e5623a49a6a9eae22a5ee2a97d496445fb6bf395c4129d5be82f786cefea5c6c771423facd139241bf04777ea8b1ee839be503e171f3493b0751d517bd

diff --git a/x11-misc/xfe/xfe-1.42.ebuild b/x11-misc/xfe/xfe-1.42.ebuild
new file mode 100644
index 0000000..aa618ed
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.42.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit autotools eutils l10n
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+
+RDEPEND="
+	media-libs/libpng:0
+	x11-libs/fox:1.6[png,truetype]
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? ( x11-libs/startup-notification )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	nls? (
+		dev-util/intltool
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	l10n_for_each_disabled_locale_do rm_locale
+
+	sed -i \
+		-e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
+		configure.ac || die
+
+	eapply_user
+
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2024-07-27 22:03 Sam James
  0 siblings, 0 replies; 23+ messages in thread
From: Sam James @ 2024-07-27 22:03 UTC (permalink / raw
  To: gentoo-commits

commit:     d1decff3a9a36bed30bd94f71eff2af36a9b8c78
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 27 22:02:29 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 27 22:02:35 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1decff3

x11-misc/xfe: add 1.46.2

Closes: https://bugs.gentoo.org/853865
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-misc/xfe/Manifest          |   1 +
 x11-misc/xfe/xfe-1.46.2.ebuild | 117 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index c200cd335b0b..3c993f5e27cd 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,2 +1,3 @@
 DIST xfe-1.44.tar.xz 1444296 BLAKE2B 3ace2689adc2a4e2b24e44f8f416cad5e4904d38d2be7e275256714a707995368450e63c4cf2eee3f870be51c42f295a938ea6ecd159dd1a996aad53b5d119b3 SHA512 d02f0db46c5ca6e26cff447d7f11bbc5f03a9d28b8d492a783bb47f67431a022785d6f3b25013f82a6121a8675f86caf1a9154a7faa8186e05cf4de0bd2f1749
+DIST xfe-1.46.2.tar.xz 1615460 BLAKE2B 0c4a49aaf1ff04d25a13349fa81be9d3e8400009c7d8c24f96a017850a156b116950e0ac5d471190defeceb236e0ed82a614a143a0cdddf10dd86a9b9c318cca SHA512 0287835433297eb2280a3d16ee85b61a74d4c3a6414279df58a201c55a58906128333c7574a94da38195f9934816a91f6e726487caeb8c97f9a5f3cef1ba1c3e
 DIST xfe-1.46.tar.xz 1431496 BLAKE2B d7b85e5280d1d9d6db3737f8ac14f4248ae4e99b52d843b51468299bdf71581003b21d0fb2be9949c7189481ed5f3fe88bbd146d2185c17dea3a4785edb876b7 SHA512 9fea984ebbfe4dada85e028bfbde1352392cb77462c238c77c6950aac2526db11d556c8187fd765fd935ba21088c1b551e88ee414dcac35d7c59f5411c4c145b

diff --git a/x11-misc/xfe/xfe-1.46.2.ebuild b/x11-misc/xfe/xfe-1.46.2.ebuild
new file mode 100644
index 000000000000..690f416c2cef
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.46.2.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit flag-o-matic plocale xdg-utils
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe/"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${PN}/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+# The only dir which defines a 'check' target is po/ which doesn't do anything
+# useful for us. It also fails, see bug #847253.
+RESTRICT="test"
+
+RDEPEND="
+	x11-libs/fox:1.6[png,truetype]
+	media-libs/fontconfig
+	x11-libs/libXrandr
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? (
+		x11-libs/libxcb:=
+		x11-libs/startup-notification
+		x11-libs/xcb-util
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/intltool
+	virtual/pkgconfig
+	nls? (
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip || die <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	plocale_for_each_disabled_locale rm_locale
+}
+
+src_configure() {
+	# https://sourceforge.net/p/xfe/bugs/282/ (bug #864757)
+	filter-lto
+
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}
+
+src_install() {
+	default
+
+	# Install this unconditionally rather than automagically based on whether
+	# polkit is installed
+	rm -rf "${ED}"/usr/share/polkit-1/actions || die
+	insinto /usr/share/polkit-1/actions
+	newins - org.xfe.root.policy <<-EOF
+	<?xml version="1.0" encoding="UTF-8"?>
+	<!DOCTYPE policyconfig PUBLIC "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
+		 "http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd">
+	<policyconfig>
+	    <vendor>Xfe</vendor>
+	    <vendor_url>http://roland65.free.fr/xfe</vendor_url>
+	    <icon_name>xfe</icon_name>
+	    <action id="org.xfe.root">
+		<description>Run Xfe as root</description>
+		<message>Authentication is required to run Xfe as root</message>
+		<defaults>
+			<allow_any>auth_admin</allow_any>
+			<allow_inactive>auth_admin</allow_inactive>
+			<allow_active>auth_admin</allow_active>
+		</defaults>
+		<annotate key="org.freedesktop.policykit.exec.path">${EPREFIX}/usr/bin/xfe</annotate>
+		<annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>
+	</action>
+	</policyconfig>
+	EOF
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2024-02-29  1:52 Sam James
  0 siblings, 0 replies; 23+ messages in thread
From: Sam James @ 2024-02-29  1:52 UTC (permalink / raw
  To: gentoo-commits

commit:     828adcbf2281e7c91fd4b1ed0fb7e2ad7e9e7133
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 29 01:49:49 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 29 01:50:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=828adcbf

x11-misc/xfe: drop 1.43.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-misc/xfe/Manifest          |  1 -
 x11-misc/xfe/xfe-1.43.2.ebuild | 75 ------------------------------------------
 2 files changed, 76 deletions(-)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 17d13422f103..c200cd335b0b 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,3 +1,2 @@
-DIST xfe-1.43.2.tar.gz 2834576 BLAKE2B 5ac7ebf229febb75a99e4829a38a3675d6674ec6eced13dc5be70d2b68ce88f6394621dffec2d8359e72da7eace582883b72491e90597ab4a8925685cb577fcb SHA512 ad7b450d0828747f801219c23824b0751fc2a7f0eea791369c4adb3090ffe1279056fa8804ef97b25a2f810e00d37357efc962dc9d4087c3d7cc5f8ffb37d51d
 DIST xfe-1.44.tar.xz 1444296 BLAKE2B 3ace2689adc2a4e2b24e44f8f416cad5e4904d38d2be7e275256714a707995368450e63c4cf2eee3f870be51c42f295a938ea6ecd159dd1a996aad53b5d119b3 SHA512 d02f0db46c5ca6e26cff447d7f11bbc5f03a9d28b8d492a783bb47f67431a022785d6f3b25013f82a6121a8675f86caf1a9154a7faa8186e05cf4de0bd2f1749
 DIST xfe-1.46.tar.xz 1431496 BLAKE2B d7b85e5280d1d9d6db3737f8ac14f4248ae4e99b52d843b51468299bdf71581003b21d0fb2be9949c7189481ed5f3fe88bbd146d2185c17dea3a4785edb876b7 SHA512 9fea984ebbfe4dada85e028bfbde1352392cb77462c238c77c6950aac2526db11d556c8187fd765fd935ba21088c1b551e88ee414dcac35d7c59f5411c4c145b

diff --git a/x11-misc/xfe/xfe-1.43.2.ebuild b/x11-misc/xfe/xfe-1.43.2.ebuild
deleted file mode 100644
index f2925f4b965c..000000000000
--- a/x11-misc/xfe/xfe-1.43.2.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PLOCALES="
-	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
-	zh_CN zh_TW
-"
-inherit plocale xdg-utils
-
-DESCRIPTION="MS-Explorer-like minimalist file manager for X"
-HOMEPAGE="http://roland65.free.fr/xfe"
-SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="debug nls startup-notification"
-
-RDEPEND="
-	media-libs/libpng:0
-	x11-libs/fox:1.6[png,truetype]
-	x11-libs/libX11
-	x11-libs/libXft
-	startup-notification? ( x11-libs/startup-notification )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-	nls? (
-		dev-util/intltool
-		sys-devel/gettext
-	)
-"
-
-DOCS=( AUTHORS BUGS ChangeLog README TODO )
-
-src_prepare() {
-	default
-
-	cat >po/POTFILES.skip <<-EOF
-	src/icons.cpp
-	xfe.desktop.in.in
-	xfi.desktop.in.in
-	xfp.desktop.in.in
-	xfv.desktop.in.in
-	xfw.desktop.in.in
-	EOF
-
-	# malformed LINGUAS file
-	# recent intltool expects newline for every linguas
-	sed -i \
-		-e '/^#/!s:\s\s*:\n:g' \
-		po/LINGUAS || die
-
-	# remove not selected locales
-	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
-	plocale_for_each_disabled_locale rm_locale
-}
-
-src_configure() {
-	econf \
-		$(use_enable debug) \
-		$(use_enable nls) \
-		$(use_enable startup-notification sn) \
-		--enable-minimalflags
-}
-
-pkg_postinst() {
-	xdg_desktop_database_update
-}
-
-pkg_postrm() {
-	xdg_desktop_database_update
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2024-02-29  1:49 Sam James
  0 siblings, 0 replies; 23+ messages in thread
From: Sam James @ 2024-02-29  1:49 UTC (permalink / raw
  To: gentoo-commits

commit:     701eea4736f1c4c93e67a072df967f83b9e58fda
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 29 01:48:27 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 29 01:48:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=701eea47

x11-misc/xfe: add 1.46

* Filter LTO because of -Wlto-type-mismatch (reported upstream at https://sourceforge.net/p/xfe/bugs/282/)
* Restrict tests as it's just a lint-style check for po/ (translations)
* This version newly has Polkit rules but it only installs them if Polkit is installed.
  Hand-roll the installation in the ebuild to avoid automagic and needing to RDEPEND
  on polkit.

Closes: https://bugs.gentoo.org/847253
Closes: https://bugs.gentoo.org/864757
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-misc/xfe/Manifest        |   1 +
 x11-misc/xfe/xfe-1.46.ebuild | 117 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 4366ba8b9552..17d13422f103 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,2 +1,3 @@
 DIST xfe-1.43.2.tar.gz 2834576 BLAKE2B 5ac7ebf229febb75a99e4829a38a3675d6674ec6eced13dc5be70d2b68ce88f6394621dffec2d8359e72da7eace582883b72491e90597ab4a8925685cb577fcb SHA512 ad7b450d0828747f801219c23824b0751fc2a7f0eea791369c4adb3090ffe1279056fa8804ef97b25a2f810e00d37357efc962dc9d4087c3d7cc5f8ffb37d51d
 DIST xfe-1.44.tar.xz 1444296 BLAKE2B 3ace2689adc2a4e2b24e44f8f416cad5e4904d38d2be7e275256714a707995368450e63c4cf2eee3f870be51c42f295a938ea6ecd159dd1a996aad53b5d119b3 SHA512 d02f0db46c5ca6e26cff447d7f11bbc5f03a9d28b8d492a783bb47f67431a022785d6f3b25013f82a6121a8675f86caf1a9154a7faa8186e05cf4de0bd2f1749
+DIST xfe-1.46.tar.xz 1431496 BLAKE2B d7b85e5280d1d9d6db3737f8ac14f4248ae4e99b52d843b51468299bdf71581003b21d0fb2be9949c7189481ed5f3fe88bbd146d2185c17dea3a4785edb876b7 SHA512 9fea984ebbfe4dada85e028bfbde1352392cb77462c238c77c6950aac2526db11d556c8187fd765fd935ba21088c1b551e88ee414dcac35d7c59f5411c4c145b

diff --git a/x11-misc/xfe/xfe-1.46.ebuild b/x11-misc/xfe/xfe-1.46.ebuild
new file mode 100644
index 000000000000..f346e2fce311
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.46.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit flag-o-matic plocale xdg-utils
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+# The only dir which defines a 'check' target is po/ which doesn't do anything
+# useful for us. It also fails, see bug #847253.
+RESTRICT="test"
+
+RDEPEND="
+	x11-libs/fox:1.6[png,truetype]
+	media-libs/fontconfig
+	x11-libs/libXrandr
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? (
+		x11-libs/libxcb:=
+		x11-libs/startup-notification
+		x11-libs/xcb-util
+	)
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/intltool
+	virtual/pkgconfig
+	nls? (
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip || die <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	plocale_for_each_disabled_locale rm_locale
+}
+
+src_configure() {
+	# https://sourceforge.net/p/xfe/bugs/282/ (bug #864757)
+	filter-lto
+
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}
+
+src_install() {
+	default
+
+	# Install this unconditionally rather than automagically based on whether
+	# polkit is installed
+	rm -rf "${ED}"/usr/share/polkit-1/actions || die
+	insinto /usr/share/polkit-1/actions
+	newins - org.xfe.root.policy <<-EOF
+	<?xml version="1.0" encoding="UTF-8"?>
+	<!DOCTYPE policyconfig PUBLIC "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
+		 "http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd">
+	<policyconfig>
+	    <vendor>Xfe</vendor>
+	    <vendor_url>http://roland65.free.fr/xfe</vendor_url>
+	    <icon_name>xfe</icon_name>
+	    <action id="org.xfe.root">
+		<description>Run Xfe as root</description>
+		<message>Authentication is required to run Xfe as root</message>
+		<defaults>
+			<allow_any>auth_admin</allow_any>
+			<allow_inactive>auth_admin</allow_inactive>
+			<allow_active>auth_admin</allow_active>
+		</defaults>
+		<annotate key="org.freedesktop.policykit.exec.path">${EPREFIX}/usr/bin/xfe</annotate>
+		<annotate key="org.freedesktop.policykit.exec.allow_gui">true</annotate>
+	</action>
+	</policyconfig>
+	EOF
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2022-05-24  7:13 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2022-05-24  7:13 UTC (permalink / raw
  To: gentoo-commits

commit:     32313db1e2c614c79ba9a0aa18edaa59f48b1992
Author:     Dennis Eisele <kernlpanic <AT> dennis-eisele <DOT> de>
AuthorDate: Sat May 14 14:43:06 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue May 24 07:13:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32313db1

x11-misc/xfe: bump to version 1.44

Closes: https://bugs.gentoo.org/836834
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Dennis Eisele <kernlpanic <AT> dennis-eisele.de>
Closes: https://github.com/gentoo/gentoo/pull/25263
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-misc/xfe/Manifest        |  1 +
 x11-misc/xfe/xfe-1.44.ebuild | 76 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 071ab3b972ab..4366ba8b9552 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1 +1,2 @@
 DIST xfe-1.43.2.tar.gz 2834576 BLAKE2B 5ac7ebf229febb75a99e4829a38a3675d6674ec6eced13dc5be70d2b68ce88f6394621dffec2d8359e72da7eace582883b72491e90597ab4a8925685cb577fcb SHA512 ad7b450d0828747f801219c23824b0751fc2a7f0eea791369c4adb3090ffe1279056fa8804ef97b25a2f810e00d37357efc962dc9d4087c3d7cc5f8ffb37d51d
+DIST xfe-1.44.tar.xz 1444296 BLAKE2B 3ace2689adc2a4e2b24e44f8f416cad5e4904d38d2be7e275256714a707995368450e63c4cf2eee3f870be51c42f295a938ea6ecd159dd1a996aad53b5d119b3 SHA512 d02f0db46c5ca6e26cff447d7f11bbc5f03a9d28b8d492a783bb47f67431a022785d6f3b25013f82a6121a8675f86caf1a9154a7faa8186e05cf4de0bd2f1749

diff --git a/x11-misc/xfe/xfe-1.44.ebuild b/x11-misc/xfe/xfe-1.44.ebuild
new file mode 100644
index 000000000000..0f46f4222a52
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.44.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit plocale xdg-utils
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+
+RDEPEND="
+	x11-libs/fox:1.6[png,truetype]
+	media-libs/fontconfig
+	x11-libs/libXrandr
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? ( x11-libs/startup-notification )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	nls? (
+		dev-util/intltool
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip || die <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	plocale_for_each_disabled_locale rm_locale
+}
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2022-05-24  7:13 Joonas Niilola
  0 siblings, 0 replies; 23+ messages in thread
From: Joonas Niilola @ 2022-05-24  7:13 UTC (permalink / raw
  To: gentoo-commits

commit:     44e43c8cc18894f9723d2abbcee34f64eb0c57fa
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Tue May 24 07:12:22 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue May 24 07:13:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44e43c8c

x11-misc/xfe: adjust deps for 1.44, include BDEPEND

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-misc/xfe/xfe-1.44.ebuild | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/x11-misc/xfe/xfe-1.44.ebuild b/x11-misc/xfe/xfe-1.44.ebuild
index 0f46f4222a52..e113262eb229 100644
--- a/x11-misc/xfe/xfe-1.44.ebuild
+++ b/x11-misc/xfe/xfe-1.44.ebuild
@@ -23,13 +23,17 @@ RDEPEND="
 	x11-libs/libXrandr
 	x11-libs/libX11
 	x11-libs/libXft
-	startup-notification? ( x11-libs/startup-notification )
+	startup-notification? (
+		x11-libs/libxcb:=
+		x11-libs/startup-notification
+		x11-libs/xcb-util
+	)
 "
-DEPEND="
-	${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/intltool
 	virtual/pkgconfig
 	nls? (
-		dev-util/intltool
 		sys-devel/gettext
 	)
 "


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2022-04-06 19:47 Jonas Stein
  0 siblings, 0 replies; 23+ messages in thread
From: Jonas Stein @ 2022-04-06 19:47 UTC (permalink / raw
  To: gentoo-commits

commit:     7804e846302f7e697905840f69d686213187ec48
Author:     Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  6 19:46:53 2022 +0000
Commit:     Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Wed Apr  6 19:46:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7804e846

x11-misc/xfe: drop project desktop-misc

Drop project desktop-misc from the list of maintainers.

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>

 x11-misc/xfe/metadata.xml | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/x11-misc/xfe/metadata.xml b/x11-misc/xfe/metadata.xml
index d2c81c70e336..532bd5a1c5e5 100644
--- a/x11-misc/xfe/metadata.xml
+++ b/x11-misc/xfe/metadata.xml
@@ -1,10 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="project">
-		<email>desktop-misc@gentoo.org</email>
-		<name>Gentoo Desktop Miscellaneous Project</name>
-	</maintainer>
+<!-- maintainer-needed -->
 	<upstream>
 		<remote-id type="sourceforge">xfe</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2021-07-04 14:03 Ulrich Müller
  0 siblings, 0 replies; 23+ messages in thread
From: Ulrich Müller @ 2021-07-04 14:03 UTC (permalink / raw
  To: gentoo-commits

commit:     fad022f11d56c665126ced4c529d2efa3581ffa7
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  3 15:47:54 2021 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Jul  4 14:02:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fad022f1

x11-misc/xfe: Update from l10n.eclass to plocale.eclass

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 x11-misc/xfe/xfe-1.43.2.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/x11-misc/xfe/xfe-1.43.2.ebuild b/x11-misc/xfe/xfe-1.43.2.ebuild
index 57333f1ae0f..f2925f4b965 100644
--- a/x11-misc/xfe/xfe-1.43.2.ebuild
+++ b/x11-misc/xfe/xfe-1.43.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -6,7 +6,7 @@ PLOCALES="
 	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
 	zh_CN zh_TW
 "
-inherit l10n xdg-utils
+inherit plocale xdg-utils
 
 DESCRIPTION="MS-Explorer-like minimalist file manager for X"
 HOMEPAGE="http://roland65.free.fr/xfe"
@@ -55,7 +55,7 @@ src_prepare() {
 
 	# remove not selected locales
 	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
-	l10n_for_each_disabled_locale_do rm_locale
+	plocale_for_each_disabled_locale rm_locale
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2019-12-28 15:37 Thomas Deutschmann
  0 siblings, 0 replies; 23+ messages in thread
From: Thomas Deutschmann @ 2019-12-28 15:37 UTC (permalink / raw
  To: gentoo-commits

commit:     d4ea1bf5e145a63fd47d88d0bc8b37113eb9f1b2
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 28 15:27:23 2019 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Dec 28 15:37:37 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4ea1bf5

x11-misc/xfe: destabilize down to ~arch

Commit 722b1cf6a27a671d5b0706a75f8b8e112e949cf6 introduced new
dependencies (x11-libs/fox) which aren't stable yet.

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 x11-misc/xfe/xfe-1.42.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/x11-misc/xfe/xfe-1.42.ebuild b/x11-misc/xfe/xfe-1.42.ebuild
index dd6e5a79a2d..c2619c850cc 100644
--- a/x11-misc/xfe/xfe-1.42.ebuild
+++ b/x11-misc/xfe/xfe-1.42.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ppc ppc64 ~sparc x86"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2019-06-12  7:25 Jeroen Roovers
  0 siblings, 0 replies; 23+ messages in thread
From: Jeroen Roovers @ 2019-06-12  7:25 UTC (permalink / raw
  To: gentoo-commits

commit:     552174708806d60ac9dc15359a54c5b3d3e436d1
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 12 07:19:10 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jun 12 07:25:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55217470

x11-misc/xfe: Version 1.43.2

Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-misc/xfe/Manifest          |  1 +
 x11-misc/xfe/xfe-1.43.2.ebuild | 75 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index ee51ae02fe3..2138944642f 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,3 +1,4 @@
 DIST xfe-1.42.tar.gz 2727833 BLAKE2B fbca14c77b04cb367173907dd4ae9c210cd88768276e5b7391338b29dc988288f866419f57d1189db6235941e4e2f91608835351000a42d46ed3e7c4c236c69f SHA512 858dd761e45ff09d32d2a230304be0817eab4b6a772376b08d778bb8e1eef681228e5d88e53c441f9b8722d8b7eeae96980e30f8c5e8bb603d4d9a3b3d267351
 DIST xfe-1.43.1.tar.gz 2776237 BLAKE2B fc82e2ea21643ecc3875512538af24daddb0db0e8829ce23c7589dc90d68e896282f70d771dcf885ea746acfa88adbb7abe6a0c354e74afa5f722dcfacf77350 SHA512 3c697ff5d0246c8bab86c9824dd4a3475ed3775d2933c63eb8e78f02b4455edb4ca98f86123eac77f611eee6ad660bf0a909c4c2791af19506a4f1744395008e
+DIST xfe-1.43.2.tar.gz 2834576 BLAKE2B 5ac7ebf229febb75a99e4829a38a3675d6674ec6eced13dc5be70d2b68ce88f6394621dffec2d8359e72da7eace582883b72491e90597ab4a8925685cb577fcb SHA512 ad7b450d0828747f801219c23824b0751fc2a7f0eea791369c4adb3090ffe1279056fa8804ef97b25a2f810e00d37357efc962dc9d4087c3d7cc5f8ffb37d51d
 DIST xfe-1.43.tar.gz 2775098 BLAKE2B 41a9d36da0bd2c58de8c928daf5714c90cd24952934ba22550651a7e6829b4f3386fd7ef89c93907eb2b28f2c7086ced1c8b5282b00beaa3ad79c9443f12e5b2 SHA512 e1b8e2d1509de913ceb76d05c7480842ae7c5389df2f02d39c1f80bd7387ce6ff77e82a95f0f1853a976e27ceb5380024337e261621ea3233996d2dec48f82a3

diff --git a/x11-misc/xfe/xfe-1.43.2.ebuild b/x11-misc/xfe/xfe-1.43.2.ebuild
new file mode 100644
index 00000000000..57333f1ae0f
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.43.2.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit l10n xdg-utils
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+
+RDEPEND="
+	media-libs/libpng:0
+	x11-libs/fox:1.6[png,truetype]
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? ( x11-libs/startup-notification )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	nls? (
+		dev-util/intltool
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	l10n_for_each_disabled_locale_do rm_locale
+}
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2019-06-12  7:25 Jeroen Roovers
  0 siblings, 0 replies; 23+ messages in thread
From: Jeroen Roovers @ 2019-06-12  7:25 UTC (permalink / raw
  To: gentoo-commits

commit:     cf2013f9b950e5fb22ef196739708ccfadc32ef8
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 12 07:19:58 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jun 12 07:25:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf2013f9

x11-misc/xfe: Old

Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-misc/xfe/Manifest        |  1 -
 x11-misc/xfe/xfe-1.43.ebuild | 68 --------------------------------------------
 2 files changed, 69 deletions(-)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 2138944642f..a5ce6bfabb4 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,4 +1,3 @@
 DIST xfe-1.42.tar.gz 2727833 BLAKE2B fbca14c77b04cb367173907dd4ae9c210cd88768276e5b7391338b29dc988288f866419f57d1189db6235941e4e2f91608835351000a42d46ed3e7c4c236c69f SHA512 858dd761e45ff09d32d2a230304be0817eab4b6a772376b08d778bb8e1eef681228e5d88e53c441f9b8722d8b7eeae96980e30f8c5e8bb603d4d9a3b3d267351
 DIST xfe-1.43.1.tar.gz 2776237 BLAKE2B fc82e2ea21643ecc3875512538af24daddb0db0e8829ce23c7589dc90d68e896282f70d771dcf885ea746acfa88adbb7abe6a0c354e74afa5f722dcfacf77350 SHA512 3c697ff5d0246c8bab86c9824dd4a3475ed3775d2933c63eb8e78f02b4455edb4ca98f86123eac77f611eee6ad660bf0a909c4c2791af19506a4f1744395008e
 DIST xfe-1.43.2.tar.gz 2834576 BLAKE2B 5ac7ebf229febb75a99e4829a38a3675d6674ec6eced13dc5be70d2b68ce88f6394621dffec2d8359e72da7eace582883b72491e90597ab4a8925685cb577fcb SHA512 ad7b450d0828747f801219c23824b0751fc2a7f0eea791369c4adb3090ffe1279056fa8804ef97b25a2f810e00d37357efc962dc9d4087c3d7cc5f8ffb37d51d
-DIST xfe-1.43.tar.gz 2775098 BLAKE2B 41a9d36da0bd2c58de8c928daf5714c90cd24952934ba22550651a7e6829b4f3386fd7ef89c93907eb2b28f2c7086ced1c8b5282b00beaa3ad79c9443f12e5b2 SHA512 e1b8e2d1509de913ceb76d05c7480842ae7c5389df2f02d39c1f80bd7387ce6ff77e82a95f0f1853a976e27ceb5380024337e261621ea3233996d2dec48f82a3

diff --git a/x11-misc/xfe/xfe-1.43.ebuild b/x11-misc/xfe/xfe-1.43.ebuild
deleted file mode 100644
index 46f9ac9b1d8..00000000000
--- a/x11-misc/xfe/xfe-1.43.ebuild
+++ /dev/null
@@ -1,68 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PLOCALES="
-	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
-	zh_CN zh_TW
-"
-inherit l10n
-
-DESCRIPTION="MS-Explorer-like minimalist file manager for X"
-HOMEPAGE="http://roland65.free.fr/xfe"
-SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="debug nls startup-notification"
-
-RDEPEND="
-	media-libs/libpng:0
-	x11-libs/fox:1.6[png,truetype]
-	x11-libs/libX11
-	x11-libs/libXft
-	startup-notification? ( x11-libs/startup-notification )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-	nls? (
-		dev-util/intltool
-		sys-devel/gettext
-	)
-"
-
-DOCS=( AUTHORS BUGS ChangeLog README TODO )
-
-src_prepare() {
-	default
-
-	cat >po/POTFILES.skip <<-EOF
-	src/icons.cpp
-	xfe.desktop.in.in
-	xfi.desktop.in.in
-	xfp.desktop.in.in
-	xfv.desktop.in.in
-	xfw.desktop.in.in
-	EOF
-
-	# malformed LINGUAS file
-	# recent intltool expects newline for every linguas
-	sed -i \
-		-e '/^#/!s:\s\s*:\n:g' \
-		po/LINGUAS || die
-
-	# remove not selected locales
-	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
-	l10n_for_each_disabled_locale_do rm_locale
-}
-
-src_configure() {
-	econf \
-		$(use_enable debug) \
-		$(use_enable nls) \
-		$(use_enable startup-notification sn) \
-		--enable-minimalflags
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2018-09-22 12:58 Jeroen Roovers
  0 siblings, 0 replies; 23+ messages in thread
From: Jeroen Roovers @ 2018-09-22 12:58 UTC (permalink / raw
  To: gentoo-commits

commit:     326950268409a75f4d045b1ddb444b3ccd24c7d4
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 22 10:30:17 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Sep 22 12:58:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32695026

x11-misc/xfe: Version 1.43.1.

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 x11-misc/xfe/Manifest          |  1 +
 x11-misc/xfe/xfe-1.43.1.ebuild | 75 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 30530d49196..ee51ae02fe3 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,2 +1,3 @@
 DIST xfe-1.42.tar.gz 2727833 BLAKE2B fbca14c77b04cb367173907dd4ae9c210cd88768276e5b7391338b29dc988288f866419f57d1189db6235941e4e2f91608835351000a42d46ed3e7c4c236c69f SHA512 858dd761e45ff09d32d2a230304be0817eab4b6a772376b08d778bb8e1eef681228e5d88e53c441f9b8722d8b7eeae96980e30f8c5e8bb603d4d9a3b3d267351
+DIST xfe-1.43.1.tar.gz 2776237 BLAKE2B fc82e2ea21643ecc3875512538af24daddb0db0e8829ce23c7589dc90d68e896282f70d771dcf885ea746acfa88adbb7abe6a0c354e74afa5f722dcfacf77350 SHA512 3c697ff5d0246c8bab86c9824dd4a3475ed3775d2933c63eb8e78f02b4455edb4ca98f86123eac77f611eee6ad660bf0a909c4c2791af19506a4f1744395008e
 DIST xfe-1.43.tar.gz 2775098 BLAKE2B 41a9d36da0bd2c58de8c928daf5714c90cd24952934ba22550651a7e6829b4f3386fd7ef89c93907eb2b28f2c7086ced1c8b5282b00beaa3ad79c9443f12e5b2 SHA512 e1b8e2d1509de913ceb76d05c7480842ae7c5389df2f02d39c1f80bd7387ce6ff77e82a95f0f1853a976e27ceb5380024337e261621ea3233996d2dec48f82a3

diff --git a/x11-misc/xfe/xfe-1.43.1.ebuild b/x11-misc/xfe/xfe-1.43.1.ebuild
new file mode 100644
index 00000000000..0a9e382f69b
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.43.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit l10n xdg-utils
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+
+RDEPEND="
+	media-libs/libpng:0
+	x11-libs/fox:1.6[png,truetype]
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? ( x11-libs/startup-notification )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	nls? (
+		dev-util/intltool
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	l10n_for_each_disabled_locale_do rm_locale
+}
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}
+
+pkg_postinst() {
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	xdg_desktop_database_update
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2018-07-20  3:25 Jeroen Roovers
  0 siblings, 0 replies; 23+ messages in thread
From: Jeroen Roovers @ 2018-07-20  3:25 UTC (permalink / raw
  To: gentoo-commits

commit:     56539c6d0de00a66af91c887c4ae3dce09a8dcdc
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 20 03:25:20 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jul 20 03:25:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56539c6d

x11-misc/xfe: Version 1.43.

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 x11-misc/xfe/Manifest        |  1 +
 x11-misc/xfe/xfe-1.43.ebuild | 68 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 9c75136fc0d..30530d49196 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1 +1,2 @@
 DIST xfe-1.42.tar.gz 2727833 BLAKE2B fbca14c77b04cb367173907dd4ae9c210cd88768276e5b7391338b29dc988288f866419f57d1189db6235941e4e2f91608835351000a42d46ed3e7c4c236c69f SHA512 858dd761e45ff09d32d2a230304be0817eab4b6a772376b08d778bb8e1eef681228e5d88e53c441f9b8722d8b7eeae96980e30f8c5e8bb603d4d9a3b3d267351
+DIST xfe-1.43.tar.gz 2775098 BLAKE2B 41a9d36da0bd2c58de8c928daf5714c90cd24952934ba22550651a7e6829b4f3386fd7ef89c93907eb2b28f2c7086ced1c8b5282b00beaa3ad79c9443f12e5b2 SHA512 e1b8e2d1509de913ceb76d05c7480842ae7c5389df2f02d39c1f80bd7387ce6ff77e82a95f0f1853a976e27ceb5380024337e261621ea3233996d2dec48f82a3

diff --git a/x11-misc/xfe/xfe-1.43.ebuild b/x11-misc/xfe/xfe-1.43.ebuild
new file mode 100644
index 00000000000..46f9ac9b1d8
--- /dev/null
+++ b/x11-misc/xfe/xfe-1.43.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PLOCALES="
+	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
+	zh_CN zh_TW
+"
+inherit l10n
+
+DESCRIPTION="MS-Explorer-like minimalist file manager for X"
+HOMEPAGE="http://roland65.free.fr/xfe"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug nls startup-notification"
+
+RDEPEND="
+	media-libs/libpng:0
+	x11-libs/fox:1.6[png,truetype]
+	x11-libs/libX11
+	x11-libs/libXft
+	startup-notification? ( x11-libs/startup-notification )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	nls? (
+		dev-util/intltool
+		sys-devel/gettext
+	)
+"
+
+DOCS=( AUTHORS BUGS ChangeLog README TODO )
+
+src_prepare() {
+	default
+
+	cat >po/POTFILES.skip <<-EOF
+	src/icons.cpp
+	xfe.desktop.in.in
+	xfi.desktop.in.in
+	xfp.desktop.in.in
+	xfv.desktop.in.in
+	xfw.desktop.in.in
+	EOF
+
+	# malformed LINGUAS file
+	# recent intltool expects newline for every linguas
+	sed -i \
+		-e '/^#/!s:\s\s*:\n:g' \
+		po/LINGUAS || die
+
+	# remove not selected locales
+	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
+	l10n_for_each_disabled_locale_do rm_locale
+}
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_enable startup-notification sn) \
+		--enable-minimalflags
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2017-04-01 10:24 David Seifert
  0 siblings, 0 replies; 23+ messages in thread
From: David Seifert @ 2017-04-01 10:24 UTC (permalink / raw
  To: gentoo-commits

commit:     1e7c0a916114f8a1ed0eeffef9500444dce9ed66
Author:     Harri Nieminen <moikkis <AT> gmail <DOT> com>
AuthorDate: Tue Mar 28 18:29:40 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Apr  1 10:23:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e7c0a91

x11-misc/xfe: Remove old

Package-Manager: Portage-2.3.5, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4319

 x11-misc/xfe/Manifest          |  1 -
 x11-misc/xfe/xfe-1.40.1.ebuild | 72 ------------------------------------------
 2 files changed, 73 deletions(-)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 005508c4de7..b492d3265a7 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,2 +1 @@
-DIST xfe-1.40.1.tar.gz 2627754 SHA256 ec3d9495bb329c6199f6265dbfb514ffd3bdb8801e36ccc4e8fac6cea15bcc71 SHA512 d4d701dc84b342ca6f728073ff746d7308cc1cf1254956e41831cfa933649c7ac2ed32a55e6dc92047636e99f14d2609f5307aab5af07c700e597dd1cf4bf4cb WHIRLPOOL 00469cfe07604986b0a24fbcbb79c2174af6fc91ccaa7c08a47c31e6450ae637d3e1db002485d730f4ee241156c155754dcebd5a0d629941f101921c2825f533
 DIST xfe-1.42.tar.gz 2727833 SHA256 a1e3e892584988c80b3a492f7b3cb78e1ee84d7148e6d1fc9d6054bbd8063bec SHA512 858dd761e45ff09d32d2a230304be0817eab4b6a772376b08d778bb8e1eef681228e5d88e53c441f9b8722d8b7eeae96980e30f8c5e8bb603d4d9a3b3d267351 WHIRLPOOL 388d95e5623a49a6a9eae22a5ee2a97d496445fb6bf395c4129d5be82f786cefea5c6c771423facd139241bf04777ea8b1ee839be503e171f3493b0751d517bd

diff --git a/x11-misc/xfe/xfe-1.40.1.ebuild b/x11-misc/xfe/xfe-1.40.1.ebuild
deleted file mode 100644
index d4b519baba2..00000000000
--- a/x11-misc/xfe/xfe-1.40.1.ebuild
+++ /dev/null
@@ -1,72 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PLOCALES="
-	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
-	zh_CN zh_TW
-"
-inherit autotools l10n
-
-DESCRIPTION="MS-Explorer-like minimalist file manager for X"
-HOMEPAGE="http://roland65.free.fr/xfe"
-SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc ppc64 ~sparc x86"
-IUSE="debug nls startup-notification"
-
-RDEPEND="
-	media-libs/libpng:0
-	x11-libs/fox:1.6[truetype,png]
-	x11-libs/libX11
-	x11-libs/libXft
-	startup-notification? ( x11-libs/startup-notification )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-	nls? (
-		dev-util/intltool
-		sys-devel/gettext
-	)
-"
-
-DOCS=( AUTHORS BUGS ChangeLog README TODO )
-
-src_prepare() {
-	cat >po/POTFILES.skip <<-EOF
-	src/icons.cpp
-	xfe.desktop.in.in
-	xfi.desktop.in.in
-	xfp.desktop.in.in
-	xfv.desktop.in.in
-	xfw.desktop.in.in
-	EOF
-
-	# malformed LINGUAS file
-	# recent intltool expects newline for every linguas
-	sed -i \
-		-e '/^#/!s:\s\s*:\n:g' \
-		po/LINGUAS || die
-
-	# remove not selected locales
-	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
-	l10n_for_each_disabled_locale_do rm_locale
-
-	sed -i \
-		-e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
-		configure.ac || die
-
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_enable debug) \
-		$(use_enable nls) \
-		$(use_enable startup-notification sn) \
-		--enable-minimalflags
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2017-03-22  7:30 Michael Weber
  0 siblings, 0 replies; 23+ messages in thread
From: Michael Weber @ 2017-03-22  7:30 UTC (permalink / raw
  To: gentoo-commits

commit:     82c094ba82157cee881ad4e615ee4b21e72f7474
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 21 15:33:12 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Wed Mar 22 07:29:30 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=82c094ba

x11-misc/xfe: ppc stable (bug 613104)

Package-Manager: Portage-2.3.5, Repoman-2.3.2
RepoMan-Options: --include-arches="amd64 arm arm64 ppc ppc64"

 x11-misc/xfe/xfe-1.42.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-misc/xfe/xfe-1.42.ebuild b/x11-misc/xfe/xfe-1.42.ebuild
index afd3dbdee2e..df2bd089efc 100644
--- a/x11-misc/xfe/xfe-1.42.ebuild
+++ b/x11-misc/xfe/xfe-1.42.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ppc64 ~sparc x86"
+KEYWORDS="amd64 ppc ppc64 ~sparc x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2017-03-21 14:34 Agostino Sarubbo
  0 siblings, 0 replies; 23+ messages in thread
From: Agostino Sarubbo @ 2017-03-21 14:34 UTC (permalink / raw
  To: gentoo-commits

commit:     afb0a0ddd32ab76e816a65946e539034327ef6f6
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 21 14:32:09 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Tue Mar 21 14:32:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afb0a0dd

x11-misc/xfe: x86 stable wrt bug #613104

Package-Manager: Portage-2.3.3, Repoman-2.3.1
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 x11-misc/xfe/xfe-1.42.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-misc/xfe/xfe-1.42.ebuild b/x11-misc/xfe/xfe-1.42.ebuild
index 548af437163..afd3dbdee2e 100644
--- a/x11-misc/xfe/xfe-1.42.ebuild
+++ b/x11-misc/xfe/xfe-1.42.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ppc64 ~sparc x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2017-03-21 10:08 Michael Weber
  0 siblings, 0 replies; 23+ messages in thread
From: Michael Weber @ 2017-03-21 10:08 UTC (permalink / raw
  To: gentoo-commits

commit:     5a5728d47c0c1debfe8001f7fe0c2a5475d68ba3
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 21 10:04:24 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Tue Mar 21 10:08:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a5728d4

x11-misc/xfe: ppc64 stable (bug 613104)

Package-Manager: Portage-2.3.5, Repoman-2.3.2
RepoMan-Options: --include-arches="amd64 arm arm64 ppc ppc64"

 x11-misc/xfe/xfe-1.42.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-misc/xfe/xfe-1.42.ebuild b/x11-misc/xfe/xfe-1.42.ebuild
index e12f10e10cb..548af437163 100644
--- a/x11-misc/xfe/xfe-1.42.ebuild
+++ b/x11-misc/xfe/xfe-1.42.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ppc64 ~sparc ~x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2017-03-20 11:04 Agostino Sarubbo
  0 siblings, 0 replies; 23+ messages in thread
From: Agostino Sarubbo @ 2017-03-20 11:04 UTC (permalink / raw
  To: gentoo-commits

commit:     175a88fd7c94599ebc530b1aacc7d44ab32df1cb
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 20 11:03:05 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Mon Mar 20 11:03:05 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=175a88fd

x11-misc/xfe: amd64 stable wrt bug #613104

Package-Manager: Portage-2.3.3, Repoman-2.3.1
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 x11-misc/xfe/xfe-1.42.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/x11-misc/xfe/xfe-1.42.ebuild b/x11-misc/xfe/xfe-1.42.ebuild
index 136f3676e14..e12f10e10cb 100644
--- a/x11-misc/xfe/xfe-1.42.ebuild
+++ b/x11-misc/xfe/xfe-1.42.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ~ppc64 ~sparc ~x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2017-03-07  9:14 David Seifert
  0 siblings, 0 replies; 23+ messages in thread
From: David Seifert @ 2017-03-07  9:14 UTC (permalink / raw
  To: gentoo-commits

commit:     1827dd5fbc23a2ab720b83d19a206854e1bd1e18
Author:     Harri Nieminen <moikkis <AT> gmail <DOT> com>
AuthorDate: Mon Mar  6 15:17:53 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Mar  7 09:12:25 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1827dd5f

x11-misc/xfe: Remove old

Package-Manager: Portage-2.3.4, Repoman-2.3.2
Closes: https://github.com/gentoo/gentoo/pull/4142

 x11-misc/xfe/Manifest        |  1 -
 x11-misc/xfe/xfe-1.41.ebuild | 74 --------------------------------------------
 2 files changed, 75 deletions(-)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index a1f33fb9e1a..005508c4de7 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,3 +1,2 @@
 DIST xfe-1.40.1.tar.gz 2627754 SHA256 ec3d9495bb329c6199f6265dbfb514ffd3bdb8801e36ccc4e8fac6cea15bcc71 SHA512 d4d701dc84b342ca6f728073ff746d7308cc1cf1254956e41831cfa933649c7ac2ed32a55e6dc92047636e99f14d2609f5307aab5af07c700e597dd1cf4bf4cb WHIRLPOOL 00469cfe07604986b0a24fbcbb79c2174af6fc91ccaa7c08a47c31e6450ae637d3e1db002485d730f4ee241156c155754dcebd5a0d629941f101921c2825f533
-DIST xfe-1.41.tar.gz 2752508 SHA256 d31ac9fdfa9223e54920ee8aabe20b43fa08ee4b6a5ee11a2d3c210506a3603f SHA512 eb9e1dfb02e5ae4bb9ccbf78bef8744ef61a72fb47795bb4598905c2f7ed01c65ed4443fd1b8981feb457b24daae1aa438170942eb97ec8b450c61b0742e4d2a WHIRLPOOL 9fc16836f8fb70d32b57902b504ccd438166d888da50049812f93b597e6dfa9920e357490d53f3718e4ae2b25d71977a528aeefa84d56d76d50ac7b5c85ce359
 DIST xfe-1.42.tar.gz 2727833 SHA256 a1e3e892584988c80b3a492f7b3cb78e1ee84d7148e6d1fc9d6054bbd8063bec SHA512 858dd761e45ff09d32d2a230304be0817eab4b6a772376b08d778bb8e1eef681228e5d88e53c441f9b8722d8b7eeae96980e30f8c5e8bb603d4d9a3b3d267351 WHIRLPOOL 388d95e5623a49a6a9eae22a5ee2a97d496445fb6bf395c4129d5be82f786cefea5c6c771423facd139241bf04777ea8b1ee839be503e171f3493b0751d517bd

diff --git a/x11-misc/xfe/xfe-1.41.ebuild b/x11-misc/xfe/xfe-1.41.ebuild
deleted file mode 100644
index b7246ac45bf..00000000000
--- a/x11-misc/xfe/xfe-1.41.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PLOCALES="
-	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
-	zh_CN zh_TW
-"
-inherit autotools eutils l10n
-
-DESCRIPTION="MS-Explorer-like minimalist file manager for X"
-HOMEPAGE="http://roland65.free.fr/xfe"
-SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="debug nls startup-notification"
-
-RDEPEND="
-	media-libs/libpng:0
-	x11-libs/fox:1.6[truetype,png]
-	x11-libs/libX11
-	x11-libs/libXft
-	startup-notification? ( x11-libs/startup-notification )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-	nls? (
-		dev-util/intltool
-		sys-devel/gettext
-	)
-"
-
-DOCS=( AUTHORS BUGS ChangeLog README TODO )
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-1.41-sn.patch
-
-	cat >po/POTFILES.skip <<-EOF
-	src/icons.cpp
-	xfe.desktop.in.in
-	xfi.desktop.in.in
-	xfp.desktop.in.in
-	xfv.desktop.in.in
-	xfw.desktop.in.in
-	EOF
-
-	# malformed LINGUAS file
-	# recent intltool expects newline for every linguas
-	sed -i \
-		-e '/^#/!s:\s\s*:\n:g' \
-		po/LINGUAS || die
-
-	# remove not selected locales
-	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
-	l10n_for_each_disabled_locale_do rm_locale
-
-	sed -i \
-		-e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
-		configure.ac || die
-
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_enable debug) \
-		$(use_enable nls) \
-		$(use_enable startup-notification sn) \
-		--enable-minimalflags
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2015-12-26 11:10 Jeroen Roovers
  0 siblings, 0 replies; 23+ messages in thread
From: Jeroen Roovers @ 2015-12-26 11:10 UTC (permalink / raw
  To: gentoo-commits

commit:     986dac812e7bc0a780f56a4bf4473ef183761729
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 26 11:10:02 2015 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Dec 26 11:10:02 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=986dac81

x11-misc/xfe: Old.

Package-Manager: portage-2.2.26

 x11-misc/xfe/Manifest        |  1 -
 x11-misc/xfe/xfe-1.40.ebuild | 73 --------------------------------------------
 2 files changed, 74 deletions(-)

diff --git a/x11-misc/xfe/Manifest b/x11-misc/xfe/Manifest
index 2c8f119..dfeab65 100644
--- a/x11-misc/xfe/Manifest
+++ b/x11-misc/xfe/Manifest
@@ -1,3 +1,2 @@
 DIST xfe-1.40.1.tar.gz 2627754 SHA256 ec3d9495bb329c6199f6265dbfb514ffd3bdb8801e36ccc4e8fac6cea15bcc71 SHA512 d4d701dc84b342ca6f728073ff746d7308cc1cf1254956e41831cfa933649c7ac2ed32a55e6dc92047636e99f14d2609f5307aab5af07c700e597dd1cf4bf4cb WHIRLPOOL 00469cfe07604986b0a24fbcbb79c2174af6fc91ccaa7c08a47c31e6450ae637d3e1db002485d730f4ee241156c155754dcebd5a0d629941f101921c2825f533
-DIST xfe-1.40.tar.gz 2574477 SHA256 2b476f15beff1a1ce85dd4ce6559bb7ceca78b866c63fb4986456862a36862a8 SHA512 22cf9fd60dcd4b594d7ff39ea78d10a8c71ee2433025acf32b7e69457a5e86852b54e448ebc1e3f63f39bf720767064c74c46eaf2b999c14ae76417d33272892 WHIRLPOOL 5c3ce54db8ac3c7e99f590100a493e3611ea2cad90b498d0b673d1366a85ed0280c8aa664f60f9de633192964a5cead4efee65e6eee69f65fdd0928061e07e0e
 DIST xfe-1.41.tar.gz 2752508 SHA256 d31ac9fdfa9223e54920ee8aabe20b43fa08ee4b6a5ee11a2d3c210506a3603f SHA512 eb9e1dfb02e5ae4bb9ccbf78bef8744ef61a72fb47795bb4598905c2f7ed01c65ed4443fd1b8981feb457b24daae1aa438170942eb97ec8b450c61b0742e4d2a WHIRLPOOL 9fc16836f8fb70d32b57902b504ccd438166d888da50049812f93b597e6dfa9920e357490d53f3718e4ae2b25d71977a528aeefa84d56d76d50ac7b5c85ce359

diff --git a/x11-misc/xfe/xfe-1.40.ebuild b/x11-misc/xfe/xfe-1.40.ebuild
deleted file mode 100644
index ce72a0b..0000000
--- a/x11-misc/xfe/xfe-1.40.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-PLOCALES="
-	bs ca cs da de el es_AR es_CO es fr hu it ja nl no pl pt_BR pt_PT ru sv tr
-	zh_CN zh_TW
-"
-inherit autotools l10n
-
-DESCRIPTION="MS-Explorer-like minimalist file manager for X"
-HOMEPAGE="http://roland65.free.fr/xfe"
-SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc ppc64 ~sparc x86"
-IUSE="debug nls startup-notification"
-
-RDEPEND="
-	media-libs/libpng:0
-	x11-libs/fox:1.6[truetype,png]
-	x11-libs/libX11
-	x11-libs/libXft
-	startup-notification? ( x11-libs/startup-notification )
-"
-DEPEND="
-	${RDEPEND}
-	virtual/pkgconfig
-	nls? (
-		dev-util/intltool
-		sys-devel/gettext
-	)
-"
-
-DOCS=( AUTHORS BUGS ChangeLog README TODO )
-
-src_prepare() {
-	cat >po/POTFILES.skip <<-EOF
-	src/icons.cpp
-	xfe.desktop.in.in
-	xfi.desktop.in.in
-	xfp.desktop.in.in
-	xfv.desktop.in.in
-	xfw.desktop.in.in
-	EOF
-
-	# malformed LINGUAS file
-	# recent intltool expects newline for every linguas
-	sed -i \
-		-e '/^#/!s:\s\s*:\n:g' \
-		po/LINGUAS || die
-
-	# remove not selected locales
-	rm_locale() { sed -i -e "/${1}/d" po/LINGUAS || die ;}
-	l10n_for_each_disabled_locale_do rm_locale
-
-	sed -i \
-		-e 's|AM_CONFIG_HEADER|AC_CONFIG_HEADERS|g' \
-		configure.ac || die
-
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		$(use_enable debug) \
-		$(use_enable nls) \
-		$(use_enable startup-notification sn) \
-		--enable-minimalflags
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2015-12-26 10:36 Agostino Sarubbo
  0 siblings, 0 replies; 23+ messages in thread
From: Agostino Sarubbo @ 2015-12-26 10:36 UTC (permalink / raw
  To: gentoo-commits

commit:     b1a445928b7bda09d6542650b7e0a52c12152d6c
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 26 10:33:58 2015 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sat Dec 26 10:33:58 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1a44592

x11-misc/xfe: ppc stable wrt bug #568390

Package-Manager: portage-2.2.24
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 x11-misc/xfe/xfe-1.40.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-misc/xfe/xfe-1.40.1.ebuild b/x11-misc/xfe/xfe-1.40.1.ebuild
index 8bb11f6..ce72a0b 100644
--- a/x11-misc/xfe/xfe-1.40.1.ebuild
+++ b/x11-misc/xfe/xfe-1.40.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ppc64 ~sparc x86"
+KEYWORDS="amd64 ppc ppc64 ~sparc x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2015-12-21  6:21 Jeroen Roovers
  0 siblings, 0 replies; 23+ messages in thread
From: Jeroen Roovers @ 2015-12-21  6:21 UTC (permalink / raw
  To: gentoo-commits

commit:     34b1b6724ca8814f1c3c9dafa806c756b408943e
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 21 06:20:28 2015 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Dec 21 06:20:28 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34b1b672

x11-misc/xfe: Stable for PPC64 (bug #568390).

Package-Manager: portage-2.2.26
RepoMan-Options: --ignore-arches

 x11-misc/xfe/xfe-1.40.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-misc/xfe/xfe-1.40.1.ebuild b/x11-misc/xfe/xfe-1.40.1.ebuild
index f5568d9..ab823b4 100644
--- a/x11-misc/xfe/xfe-1.40.1.ebuild
+++ b/x11-misc/xfe/xfe-1.40.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ppc64 ~sparc ~x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/
@ 2015-12-16 10:12 Agostino Sarubbo
  0 siblings, 0 replies; 23+ messages in thread
From: Agostino Sarubbo @ 2015-12-16 10:12 UTC (permalink / raw
  To: gentoo-commits

commit:     41d9f10ba945a7717e59db9a6df2b188419f428f
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 16 10:12:18 2015 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Wed Dec 16 10:12:18 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41d9f10b

x11-misc/xfe: amd64 stable wrt bug #568390

Package-Manager: portage-2.2.24
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 x11-misc/xfe/xfe-1.40.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-misc/xfe/xfe-1.40.1.ebuild b/x11-misc/xfe/xfe-1.40.1.ebuild
index 9173647..f5568d9 100644
--- a/x11-misc/xfe/xfe-1.40.1.ebuild
+++ b/x11-misc/xfe/xfe-1.40.1.ebuild
@@ -16,7 +16,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${PV}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="amd64 ~ppc ~ppc64 ~sparc ~x86"
 IUSE="debug nls startup-notification"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 23+ messages in thread

end of thread, other threads:[~2024-07-27 22:03 UTC | newest]

Thread overview: 23+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-07-31 10:25 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xfe/ Jeroen Roovers
  -- strict thread matches above, loose matches on Subject: below --
2024-07-27 22:03 Sam James
2024-02-29  1:52 Sam James
2024-02-29  1:49 Sam James
2022-05-24  7:13 Joonas Niilola
2022-05-24  7:13 Joonas Niilola
2022-04-06 19:47 Jonas Stein
2021-07-04 14:03 Ulrich Müller
2019-12-28 15:37 Thomas Deutschmann
2019-06-12  7:25 Jeroen Roovers
2019-06-12  7:25 Jeroen Roovers
2018-09-22 12:58 Jeroen Roovers
2018-07-20  3:25 Jeroen Roovers
2017-04-01 10:24 David Seifert
2017-03-22  7:30 Michael Weber
2017-03-21 14:34 Agostino Sarubbo
2017-03-21 10:08 Michael Weber
2017-03-20 11:04 Agostino Sarubbo
2017-03-07  9:14 David Seifert
2015-12-26 11:10 Jeroen Roovers
2015-12-26 10:36 Agostino Sarubbo
2015-12-21  6:21 Jeroen Roovers
2015-12-16 10:12 Agostino Sarubbo

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox